# Stringable

![GitHub last commit](https://img.shields.io/github/last-commit/rudashi/stringable)
![GitHub repo size](https://img.shields.io/github/repo-size/rudashi/stringable)
![GitHub Workflow Status](https://img.shields.io/github/workflow/status/rudashi/stringable/Node.js%20CI)
![Twitter Follow](https://img.shields.io/twitter/follow/BorysZmuda?style=social)

Javascript version's of Laravel's `Illuminate\Support\Str`

Based on great [Laravel](https://laravel.com/docs/master/helpers#fluent-strings-method-list) string helper

## Introduction
Fluent strings provide a more fluent, object-oriented interface for working with string values, allowing you to 
chain multiple string operations together using a more readable syntax compared to traditional string operations.

## Available Methods
List of all fluent methods you can find [here](docs/methods.md#fluent-methods).

## Strings methods
- [Str.preg_quote](docs/methods.md#strpreg_quote)
- [Str.random](docs/methods.md#strrandom)
- [Str.createRandomStringsUsing](docs/methods.md#strcreaterandomstringsusing)
- [Str.createRandomStringsUsingSequence](docs/methods.md#strcreaterandomstringsusingsequence)
- [Str.createRandomStringsNormally](docs/methods.md#strcreaterandomstringsnormally)
- [Str.substr](docs/methods.md#strsubstr)
- [Str.uuid](docs/methods.md#struuid)

## TO DO
- [markdown](docs/methods.md#markdown)
- [plural](docs/methods.md#plural)
- [singular](docs/methods.md#singular)
- [Str.orderedUuid](docs/methods.md#strordereduuid)

## Changelog

Detailed changes for each release are documented in the [release notes](https://github.com/rudashi/stringable/releases).